[SCM] jack-audio-connection-kit/master: Provide helper shellscript for tarball generation

adiknoth-guest at users.alioth.debian.org adiknoth-guest at users.alioth.debian.org
Tue Feb 21 23:42:48 UTC 2012


The following commit has been merged in the master branch:
commit 5cd3105b86d6132c6d91f4ec5d025b0bbebba2f1
Author: Adrian Knoth <adi at drcomp.erfurt.thur.de>
Date:   Tue Feb 21 18:11:51 2012 +0100

    Provide helper shellscript for tarball generation
    
    jackd now uses git. Until the Debian chain can flawlessly handle
    upstream projects in git repos, let's stick to the old tarball approach.
    
    To ease generating this tarball from the jackd repository, run this
    script as explained in its header.
    
    It's only intended for maintainers, not for buildds or users.

diff --git a/debian/make_tarball.sh b/debian/make_tarball.sh
new file mode 100644
index 0000000..f43d2f3
--- /dev/null
+++ b/debian/make_tarball.sh
@@ -0,0 +1,35 @@
+#/bin/sh
+#
+# Little helper script to generate the jackd1 tarball from a git
+# repository.
+#
+# Example usage:
+#    $ git clone git://github.com/jackaudio/jack1.git
+#    $ cd jack1
+#    $ git submodule init
+#    $ git submodule update
+#    $ sh /path/to/make_tarball.sh /tmp/jackd1-x.y.z
+
+GIT_SHORT_VERSION=`git diff-tree HEAD | head -n 1 | cut -b -8`
+DATE_STRING=`date "+%Y%m%d"`
+TARGET_DIR="$1+${DATE_STRING}git${GIT_SHORT_VERSION}"
+
+if [ $# -ne 1 ]; then
+    echo "Usage: $0 <path-prefix>"
+    exit 1
+fi
+
+echo "Creating ${TARGET_DIR}"
+mkdir "${TARGET_DIR}" || exit 1
+
+echo "Exporting jack to ${TARGET_DIR}"
+git archive master | tar -C "${TARGET_DIR}" -xf -
+for submodule in tools example-clients jack; do
+    echo "Exporting submodule ${submodule}"
+    ( cd "$submodule" &&
+        git archive master | tar -C "${TARGET_DIR}/${submodule}" -xf -
+    )
+done
+
+echo "Cleaning git files from export directory"
+find "${TARGET_DIR}" -name ".git*" -delete

-- 
Debian packaging for jack-audio-connection-kit



More information about the pkg-multimedia-commits mailing list